You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     m...@freebsd.org
Last committer: m...@freebsd.org
Ident:          $FreeBSD: head/x11-themes/qtcurve-utils/Makefile 386718 
2015-05-18 21:26:50Z makc $
Log URL:        
http://beefy8.nyi.freebsd.org/data/head-armv6-default/p405059_s293048/logs/qtcurve-utils-1.8.18.log
Build URL:      
http://beefy8.nyi.freebsd.org/build.html?mastername=head-armv6-default&build=p405059_s293048
Log:

====>> Building x11-themes/qtcurve-utils
build started at Sun Jan  3 08:07:53 UTC 2016
port directory: /usr/ports/x11-themes/qtcurve-utils
building for: FreeBSD head-armv6-default-job-11 11.0-CURRENT FreeBSD 
11.0-CURRENT r293048 arm
maintained by: m...@freebsd.org
Makefile ident:      $FreeBSD: head/x11-themes/qtcurve-utils/Makefile 386718 
2015-05-18 21:26:50Z makc $
Poudriere version: 3.1.10
Host OSVERSION: 1100091
Jail OSVERSION: 1100093




!!! Jail is newer than host. (Jail: 1100093, Host: 1100091) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1100093
UNAME_v=FreeBSD 11.0-CURRENT r293048
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=screen
QEMU_EMULATING=1
MASTERMNT=/usr/local/poudriere/data/.m/head-armv6-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=qtcurve-utils-1.8.18
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/head-armv6-default/ref/.p/pool
MASTERNAME=head-armv6-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.10
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for qtcurve-utils-1.8.18:
     NLS=on: Native Language Support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PKG_CONFIG=pkgconf 
XDG_DATA_HOME=/wrkdirs/usr/ports/x11-themes/qtcurve-utils/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/x11-themes/qtcurve-utils/work  
HOME=/wrkdirs/usr/ports/x11-themes/qtcurve-utils/work TMPDIR="/tmp" 
SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/x11-themes/qtcurve-utils/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/x11-themes/qtcurve-utils/work  
HOME=/wrkdirs/usr/ports/x11-themes/qtcurve-utils/work TMPDIR="/tmp" NO_PIE=yes 
NO_DEBUG_FILES=yes SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 
-pipe -mfloat-abi=softfp  -fno-strict-aliasing"  CPP="/nxb-bin/usr/bin/cpp" 
CPPFLAGS=""  LDFLAGS=" -L/usr/local/lib" LIBS=""  CXX="/nxb-bin/usr/bin/c++" 
CXXFLAGS="-O2 -pipe -mfloat-abi=softfp -fno-strict-aliasing "  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
NLS=""
NO_NLS="@comment
"
CMAKE_BUILD_TYPE="release"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/qtcurve"
EXAMPLESDIR="share/examples/qtcurve"
DATADIR="share/qtcurve"
WWWDIR="www/qtcurve"
ETCDIR="etc/qtcurve"
--End PLIST_SUB--

--SUB_LIST--
NLS=""
NO_NLS="@comment
"
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/qtcurve
DOCSDIR=/usr/local/share/doc/qtcurve
EXAMPLESDIR=/usr/local/share/examples/qtcurve
WWWDIR=/usr/local/www/qtcurve
ETCDIR=/usr/local/etc/qtcurve
--End SUB_LIST--

---Begin make.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
<snip>
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   qtcurve-utils-1.8.18 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of qtcurve-utils-1.8.18
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by qtcurve-utils-1.8.18 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by qtcurve-utils-1.8.18 for building
=> SHA256 Checksum OK for QtCurve-qtcurve-1.8.18_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by qtcurve-utils-1.8.18 for building
===>  Extracting for qtcurve-utils-1.8.18
=> SHA256 Checksum OK for QtCurve-qtcurve-1.8.18_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for qtcurve-utils-1.8.18
===>  Applying FreeBSD patches for qtcurve-utils-1.8.18
===========================================================================
=======================<phase: build-depends  >============================
===>   qtcurve-utils-1.8.18 depends on file: /usr/local/bin/cmake - not found
===>   Installing existing package /packages/All/cmake-3.4.1.txz
[head-armv6-default-job-11] Installing cmake-3.4.1...
[head-armv6-default-job-11] `-- Installing expat-2.1.0_3...
[head-armv6-default-job-11] `-- Extracting expat-2.1.0_3: .......... done
[head-armv6-default-job-11] `-- Installing cmake-modules-3.4.1...
[head-armv6-default-job-11] `-- Extracting cmake-modules-3.4.1: .......... done
[head-armv6-default-job-11] `-- Installing curl-7.46.0_1...
[head-armv6-default-job-11] |   `-- Installing ca_root_nss-3.20.1...
[head-armv6-default-job-11] |   `-- Extracting ca_root_nss-3.20.1: ....... done
[head-armv6-default-job-11] `-- Extracting curl-7.46.0_1: .......... done
[head-armv6-default-job-11] `-- Installing libarchive-3.1.2_4,1...
[head-armv6-default-job-11] |   `-- Installing lzo2-2.09...
[head-armv6-default-job-11] |   `-- Extracting lzo2-2.09: .......... done
[head-armv6-default-job-11] `-- Extracting libarchive-3.1.2_4,1: .......... done
[head-armv6-default-job-11] `-- Installing jsoncpp-0.6.0.r2_2...
[head-armv6-default-job-11] `-- Extracting jsoncpp-0.6.0.r2_2: .......... done
[head-armv6-default-job-11] Extracting cmake-3.4.1: .......... done
Message from ca_root_nss-3.20.1:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
===>   qtcurve-utils-1.8.18 depends on file: /usr/local/bin/cmake - found
===>   Returning to build of qtcurve-utils-1.8.18
===>   qtcurve-utils-1.8.18 depends on executable: pkgconf - not found
===>   Installing existing package /packages/All/pkgconf-0.9.12_1.txz
[head-armv6-default-job-11] Installing pkgconf-0.9.12_1...
[head-armv6-default-job-11] Extracting pkgconf-0.9.12_1: ....... done
===>   qtcurve-utils-1.8.18 depends on executable: pkgconf - found
===>   Returning to build of qtcurve-utils-1.8.18
===>   qtcurve-utils-1.8.18 depends on executable: msgfmt - not found
===>   Installing existing package /packages/All/gettext-tools-0.19.6.txz
[head-armv6-default-job-11] Installing gettext-tools-0.19.6...
[head-armv6-default-job-11] `-- Installing indexinfo-0.2.4...
[head-armv6-default-job-11] `-- Extracting indexinfo-0.2.4: .... done
[head-armv6-default-job-11] `-- Installing gettext-runtime-0.19.6...
[head-armv6-default-job-11] `-- Extracting gettext-runtime-0.19.6: .......... 
done
[head-armv6-default-job-11] Extracting gettext-tools-0.19.6: .......... done
===>   qtcurve-utils-1.8.18 depends on executable: msgfmt - found
===>   Returning to build of qtcurve-utils-1.8.18
===>   qtcurve-utils-1.8.18 depends on file: 
/usr/local/libdata/pkgconfig/x11.pc - not found
===>   Installing existing package /packages/All/libX11-1.6.3,1.txz
[head-armv6-default-job-11] Installing libX11-1.6.3,1...
[head-armv6-default-job-11] `-- Installing xproto-7.0.28...
[head-armv6-default-job-11] `-- Extracting xproto-7.0.28: .......... done
[head-armv6-default-job-11] `-- Installing kbproto-1.0.7...
[head-armv6-default-job-11] `-- Extracting kbproto-1.0.7: .......... done
[head-armv6-default-job-11] `-- Installing libXdmcp-1.1.2...
[head-armv6-default-job-11] `-- Extracting libXdmcp-1.1.2: ......... done
[head-armv6-default-job-11] `-- Installing libxcb-1.11.1...
[head-armv6-default-job-11] |   `-- Installing libxml2-2.9.3...
[head-armv6-default-job-11] |   `-- Extracting libxml2-2.9.3: .......... done
[head-armv6-default-job-11] |   `-- Installing libpthread-stubs-0.3_6...
[head-armv6-default-job-11] |   `-- Extracting libpthread-stubs-0.3_6: ..... 
done
[head-armv6-default-job-11] |   `-- Installing libXau-1.0.8_3...
[head-armv6-default-job-11] |   `-- Extracting libXau-1.0.8_3: .......... done
[head-armv6-default-job-11] `-- Extracting libxcb-1.11.1: .......... done
[head-armv6-default-job-11] Extracting libX11-1.6.3,1: .......... done
===>   qtcurve-utils-1.8.18 depends on file: 
/usr/local/libdata/pkgconfig/x11.pc - found
===>   Returning to build of qtcurve-utils-1.8.18
===>   qtcurve-utils-1.8.18 depends on file: 
/usr/local/libdata/pkgconfig/xcb.pc - found
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for qtcurve-utils-1.8.18
===>  Performing in-source build
/bin/mkdir -p /wrkdirs/usr/ports/x11-themes/qtcurve-utils/work/qtcurve-1.8.18
-- The C compiler identification is Clang 3.7.0
-- The CXX compiler identification is Clang 3.7.0
-- Check for working C compiler: /nxb-bin/usr/bin/cc
-- Check for working C compiler: /nxb-bin/usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /nxb-bin/usr/bin/c++
-- Check for working CXX compiler: /nxb-bin/usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
CMake Error: Generator: execution of make failed. Make command was: 
"/usr/bin/make" "cmTC_abd1d/fast"
-- Detecting CXX compiler ABI info - failed
-- Detecting CXX compile features
-- Detecting CXX compile features - done
CMake Warning (dev) at cmake/CMakeArrayMacros.cmake:105 (if):
  Policy CMP0054 is not set: Only interpret if() arguments as variables or
  keywords when unquoted.  Run "cmake --help-policy CMP0054" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.

  Quoted variables like "ARGV" will no longer be dereferenced when the policy
  is set to NEW.  Since the policy is not set the OLD behavior will be used.
Call Stack (most recent call first):
  cmake/CMakeArrayMacros.cmake:261 (cmake_array_foreach)
  cmake/CMakeHelperMacros.cmake:307 (cmake_array_concat)
  cmake/CMakeCMacros.cmake:43 (cmake_helper_reg)
  cmake/CMakeBaseMacros.cmake:9999 (__cmake_c_macro_init)
  cmake/CMakeBaseMacros.cmake:101 (cmake_utils_call)
  cmake/CMakeCMacros.cmake:49 (cmake_utils_call_once)
  CMakeLists.txt:12 (include)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at cmake/CMakeHelperMacros.cmake:189 (if):
  Policy CMP0054 is not set: Only interpret if() arguments as variables or
  keywords when unquoted.  Run "cmake --help-policy CMP0054" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.

  Quoted variables like
  "cmake_utils_cmake_array_name_1_6446a7d5aee7d188a3704aa731f70a5a.length"
  will no longer be dereferenced when the policy is set to NEW.  Since the
  policy is not set the OLD behavior will be used.
Call Stack (most recent call first):
  cmake/CMakeHelperMacros.cmake:320 (__cmake_helper_wrap_commands)
  cmake/CMakeCMacros.cmake:43 (cmake_helper_reg)
  cmake/CMakeBaseMacros.cmake:9999 (__cmake_c_macro_init)
  cmake/CMakeBaseMacros.cmake:101 (cmake_utils_call)
  cmake/CMakeCMacros.cmake:49 (cmake_utils_call_once)
  CMakeLists.txt:12 (include)
This warning is for project developers.  Use -Wno-dev to suppress it.

-- Looking for backtrace
-- Looking for backtrace - not found
-- Found LibExecinfo: /usr/include  
-- Found PkgConfig: pkgconf (found version "0.28") 
-- Checking for modules 'xcb;x11-xcb'
--   Found xcb, version 1.11.1
--   Found x11-xcb, version 1.6.3
CMake Warning (dev) at cmake/CMakeHelperMacros.cmake:430 (if):
  Policy CMP0054 is not set: Only interpret if() arguments as variables or
  keywords when unquoted.  Run "cmake --help-policy CMP0054" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.

  Quoted variables like
  "cmake_utils_cmake_array_name_7_77de92e3873dcd2ebff7508e6cdf14b5.length"
  will no longer be dereferenced when the policy is set to NEW.  Since the
  policy is not set the OLD behavior will be used.
Call Stack (most recent call first):
  cmake/CMakeCMacros.cmake:69 (cmake_helper_wrap_helper)
  CMakeLists.txt:134 (cmake_c_fix_include_path)
This warning is for project developers.  Use -Wno-dev to suppress it.

-- Configuring incomplete, errors occurred!
See also 
"/wrkdirs/usr/ports/x11-themes/qtcurve-utils/work/qtcurve-1.8.18/CMakeFiles/CMakeOutput.log".
See also 
"/wrkdirs/usr/ports/x11-themes/qtcurve-utils/work/qtcurve-1.8.18/CMakeFiles/CMakeError.log".
*** Error code 1

Stop.
make: stopped in /usr/ports/x11-themes/qtcurve-utils
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to